#!/nfs/team117/gq1/dev/bin/perl -wT
##!/software/bin/perl -wT
#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2009-04-20
# Last Modified: $Date: 2009-06-09 15:11:32 +0100 (Tue, 09 Jun 2009) $
# Id:            $Id: fastq_split.pl 5570 2009-06-09 14:11:32Z ajb $
# $HeadURL: svn+ssh://intcvs1/repos/svn/new-pipeline-dev/useful_modules/tags/release-10.0/scripts/fastq_split.pl $
#

use strict;
use warnings;
use lib qw(lib /software/solexa/lib/site_perl/);
use SangerPaths qw(core ensembl tracking trackingnpg badger);
use Carp;
use English qw{-no_match_vars};
use Getopt::Long;
use npg_common::Fastq_Split

our $VERSION = do { my ($r) = q$LastChangedRevision: 5570 $ =~ /(\d+)/mx; $r; };

$ENV{'PATH'} = join q(:), qw(/bin /usr/bin /usr/local/bin);

main();
0;

sub main {
  my $opts = initialise();
  $opts->{human_ref} = '/nfs/repository/d0031/references/Human/NCBI36/all/bwa/Homo_sapiens.NCBI36.48.dna.all.fa';

  if(!$opts ||  $opts->{help} ||  scalar keys %{$opts} <3 ){
    print q[Usage:
    fastq_split

    Options:
      -fastq1     filename1
      -fastq2     filename2
      -srf        srf_filename
      -srf_filter
      -help
      -output_dir output_dir
    At least one fastq file needs to be provided.
    If srf_filter option given, then two srf_filter input files will be generated:
    srf_human.filter and srf_nonhuman.filter
    These two files can be used for srf_filter command to split the srf file later
    in this case srf file is not necessary to be given.
]
    or croak qq{Error printint help: $EVAL_ERROR};
    exit 2;
  }

  print qq{Processing spliting fastq files...\n};
  my ($sec,$min,$hour,$day,$month,$yr19,@rest) =   localtime(time);
  printf qq{Time:\t%02d:%02d:%02d\n}, $hour, $min, $sec;

  my $fastq_split = npg_common::Fastq_Split->new({
      bwa_cmd         =>'/software/solexa/bin/bwa',
      srf_filter_cmd  =>'/nfs/team71/trace/io_lib-1.11.6/bin/srf_filter'
  });
  $fastq_split->file_split($opts);

  ($sec,$min,$hour,$day,$month,$yr19,@rest) =   localtime(time);
  printf qq{Time:\t%02d:%02d:%02d\n}, $hour, $min, $sec;
  print "finish spliting fastq file\n";

}

# ----------------------------------------------------------------------
sub initialise {

    my %options = ();

    my $rc = GetOptions(\%options,
                        'help',
                        'fastq1:s',
                        'fastq2:s',
                        'srf:s',
                        'srf_filter',
                        'output_dir:s',
                        );
    return \%options;

}
