#!/nfs/team117/gq1/dev/bin/perl -w
##!/software/bin/perl -wT
#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2009-05-13
# Last Modified: $Date: 2009-06-09 15:11:32 +0100 (Tue, 09 Jun 2009) $
# Id:            $Id: fastq_srf_split.pl 5570 2009-06-09 14:11:32Z ajb $
# $HeadURL: svn+ssh://intcvs1/repos/svn/new-pipeline-dev/useful_modules/tags/release-10.0/scripts/fastq_srf_split.pl $
#

use strict;
use warnings;
use lib qw(lib /software/solexa/lib/site_perl/);
use SangerPaths qw(core ensembl tracking trackingnpg badger);
use Carp;
use English qw{-no_match_vars};
use Getopt::Long;
use npg_common::Fastq_Split;
use File::Basename;

our $VERSION = do { my ($r) = q$LastChangedRevision: 5570 $ =~ /(\d+)/mx; $r; };

$ENV{'PATH'} = join q(:), qw(/bin /usr/bin /usr/local/bin);

main();
0;

sub main {
  my $opts = initialise();
  
  if(!$opts || $opts->{help} || scalar keys %{$opts} < 2 )
  {
  print q[Usage:
  fastq_srf_split

  Options:
    -fastq1     filename1
    -fastq2     filename2
    -srf        srf_filename
    -help
    -output_dir output_dir
] or croak qq{Error printint help: $EVAL_ERROR};
  exit 2;
  }
  
  print qq{Spliting fastq and srf files...\n};
  my ($sec,$min,$hour,$day,$month,$yr19,@rest) =   localtime(time);
  printf qq{Time:\t%02d:%02d:%02d\n}, $hour, $min, $sec;
  
  my $fastq_split_command = '/nfs/team117/gq1/dev/new-pipeline-dev/useful_modules/branches/current/scripts/fastq_split.pl';

  if($opts->{fastq1}){

    $fastq_split_command .= q{ -fastq1 }.$opts->{fastq1};
  }
  if($opts->{fastq2}){

    $fastq_split_command .= q{ -fastq2 }.$opts->{fastq2};
  }
  $fastq_split_command .= q{ -output_dir }.$opts->{output_dir};
  $fastq_split_command .= q{ -srf_filter};
  print "$fastq_split_command\n";

  my $fastq_split_rs = system $fastq_split_command;
  if($fastq_split_rs != 0){

    croak "failed to split fastq files";
  }

  my $srf_filename = $opts->{srf};
  my $output_dir = $opts->{output_dir};
  my $filter_file_hit = $output_dir.q{/}.q{srf_human.filter};
  my $filter_file_non_hit =$output_dir.q{/}.q{srf_nonhuman.filter};
 
  if($srf_filename){

    if( (-e $srf_filename ) && (-e $filter_file_hit ) && (-e $filter_file_non_hit)){

      my $fastq_split = npg_common::Fastq_Split->new({
         srf_filter_cmd  =>'/nfs/team71/trace/io_lib-1.11.6/bin/srf_filter'
      });
      my $output_dir = $opts->{output_dir};
      $fastq_split->split_srf_file($srf_filename,$filter_file_hit, $filter_file_non_hit, $output_dir);
    }else{

      croak "SRF or SRF filter files no exist";
    }
  }else{

    print "No SRF file provided\n";
  }

  #unlink $filter_file_hit, $filter_file_non_hit;
  
  ($sec,$min,$hour,$day,$month,$yr19,@rest) =   localtime(time);
  printf qq{Time:\t%02d:%02d:%02d\n}, $hour, $min, $sec;
  print "Finish spliting fastq or srf files\n";

}

# ----------------------------------------------------------------------
sub initialise {

    my %options = ();

    my $rc = GetOptions(\%options,
                        'help',
                        'fastq1:s',
                        'fastq2:s',
                        'srf:s',
                        'output_dir:s',
                        );
    return \%options;

}
