#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2009-04-17
# Last Modified: $Date: 2009-06-09 15:11:32 +0100 (Tue, 09 Jun 2009) $
# Id:            $Id: 10-Alignment.t 5570 2009-06-09 14:11:32Z ajb $
# $HeadURL: svn+ssh://intcvs1/repos/svn/new-pipeline-dev/useful_modules/tags/release-10.0/t/10-Alignment.t $
#

use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More tests => 2;
use npg_common::Alignment;

use_ok('npg_common::Alignment');

{
  my $bwa = npg_common::Alignment->new(
               {
                 bwa_cmd => q{t/bin/bwa},
               });
  
  my $reference = '/nfs/repository/d0031/references/Human/NCBI36/all/bwa/Homo_sapiens.NCBI36.48.dna.all.fa';
  my $query_fastq = 't/data/fastq_split/2605_1_1.fastq';
  my $sam = '/tmp/2605_1_1.sam';

  eval{
    $bwa->bwa_align_se($query_fastq, $sam, $reference);
    1;
  };
  is($EVAL_ERROR, q{}, "no croak for baw alignment");
}
