#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2009-04-07
# Last Modified: $Date: 2009-06-09 15:11:32 +0100 (Tue, 09 Jun 2009) $
# Id:            $Id: 10-Fastq_Split.t 5570 2009-06-09 14:11:32Z ajb $
# $HeadURL: svn+ssh://intcvs1/repos/svn/new-pipeline-dev/useful_modules/tags/release-10.0/t/10-Fastq_Split.t $
#

use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More tests => 7;
use npg_common::Fastq_Split;

use_ok('npg_common::Fastq_Split');

{
  my $fastq_split = npg_common::Fastq_Split->new(
    {
      fastqindex_cmd => 't/bin/fastqindex',
      srf_filter_cmd => 't/bin/srf_filter',
    }
  );

#--
  my $ids = $fastq_split->_get_seq_ids_from_file('t/data/fastq_split/seq_ids.txt');
  is(scalar keys %{$ids}, 2, 'correct number ids got');

#--
  eval{
    $fastq_split->_srf_filter_file([keys %{$ids}], '/tmp/srf_filter.txt');
    1;
  };
  is($EVAL_ERROR, q{}, 'no croak to generate srf filter file');

#--  
  eval{
    $fastq_split->fastq_split('t/data/fastq_split/2605_1_1.fastq', $ids, '/tmp/select.fastq', '/tmp/rest.fastq');
    1;
  };
  is($EVAL_ERROR, q{}, 'no croak to split fastq files');

#--  
  eval{
    $fastq_split->_fastq_indexing('t/data/fastq_split/2605_1_1.fastq', '/tmp/2605_1_1.fastq.index');
    1;
  };
  is($EVAL_ERROR, q{}, 'no croak in farm for fastqindex');

#--
  eval{
    $fastq_split->srf_filter('t/data/fastq_split/2605_1.srf', 't/data/fastq_split/srf_filter_ids.txt', '/tmp/select.srf');
    1;
  };
  is($EVAL_ERROR, q{}, 'no croak in farm for fastqindex split');
}

{
  my $fastq_split = npg_common::Fastq_Split->new(
    {
      bwa_cmd         =>'t/bin/bwa',
      srf_filter_cmd  =>'t/bin/srf_filter'
    }
  );
  my $args = {
    fastq1     => 't/data/fastq_split/2605_1_1.fastq',
    fastq2     => 't/data/fastq_split/2605_1_1.fastq',
    srf        => 't/data/fastq_split/2605_1.srf',
    human_ref  => '/nfs/repository/d0031/references/Human/NCBI36/all/bwa/Homo_sapiens.NCBI36.48.dna.all.fa',
    output_dir => '/tmp/',
  };
  eval{
    $fastq_split->file_split($args);
    1;
  };
  is($EVAL_ERROR, q{}, 'no croak to split fastq and srf file');
}
