#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2009-04-17
# Last Modified: $Date: 2009-06-09 15:11:32 +0100 (Tue, 09 Jun 2009) $
# Id:            $Id: 10-Hit_Sequence_SAM.t 5570 2009-06-09 14:11:32Z ajb $
# $HeadURL: svn+ssh://intcvs1/repos/svn/new-pipeline-dev/useful_modules/tags/release-10.0/t/10-Hit_Sequence_SAM.t $
#

use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More tests => 4;
use npg_common::Hit_Sequence_SAM;

use_ok('npg_common::Hit_Sequence_SAM');
  
{
  my $hit_sequence_sam = npg_common::Hit_Sequence_SAM->new({
                                        filename =>'t/data/fastq_split/2518_2_5_merge_part.sam',
                                                          });
  eval{
    $hit_sequence_sam->parsing_file();
    1;
  };
  is($EVAL_ERROR, q{}, 'no croak when parsing sam file');

  my $hit_ids = $hit_sequence_sam->hit_ids();
  is (scalar keys %{$hit_ids}, 12, 'correct number hit short reads');

  my $non_hit_ids = $hit_sequence_sam->non_hit_ids();
  is(scalar keys %{$non_hit_ids}, 14, 'correct number non hit short reads');
}
