use strict;
use warnings;
use English;
use Test::More tests => 7;

use_ok( 'npg_common::diagram::histogram');

{
  my $hgram = npg_common::diagram::histogram->new();

  isa_ok($hgram, 'npg_common::diagram::histogram');

  my $array = [1,5,7,8,9,10,11,3,3,5,5,5,7,2,2];
  my $data = $hgram->plot($array);
  is($hgram->get_num_bins(), '50', 'default number of bins returned');
}


{
  my $hgram = npg_common::diagram::histogram->new(100);
  is($hgram->get_num_bins(), '100', 'correct number of bins returned');
}

{
  my $num_bins = 3;
  my $array = [1,2,2,3,3,3,3];
  my $hgram = npg_common::diagram::histogram->new($num_bins);
  my $result = $hgram->plot($array);

  my $ydata = $result->[1];
  my $xlabels =  $result->[0];

  is (join(q[ ], @{$xlabels}), '1.333 2 2.667', 'X values returned');
  is (join(q[ ], @{$ydata}), '1 2 4', 'Y values returned');
  is(@{$ydata}, '3', 'number of points returned');
}



